%{?nodejs_find_provides_and_requires}

%global packagename cli-table
%global enable_tests 1

Name:		nodejs-cli-table
Version:	0.3.1
Release:	1%{?dist}
Summary:	Pretty unicode tables for the CLI

License:	MIT
URL:		https://github.com/Automattic/cli-table.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(colors) >= 1.0.3
%endif

Requires:	nodejs

%description
Pretty unicode tables for the CLI


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-1
- Initial packaging
